# $Id$
# Authority: lsn
# Upstream:

%define myname		LandShark BuildSys
%define myemail		<BuildSys[AT]LandShark.Net>
%define distro		CentOS 4


Name		: bmp
Version		: 0.9.7.1
Release		: 2.el4.lsn

License		: GPL
Summary		: Media player based on XMMS.
Group		: Applications/Multimedia

URL		: http://beepmp.sourceforge.net/
Vendor		: LandShark Networks
Distribution	: %distro
Packager	: %{myname} %{myemail}

BuildRoot	: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0		: http://dl.sf.net/beepmp/%{name}-%{version}.tar.gz
Source1		: beep.png
Source2		: bmp.sh
Patch0		: bmp-0.9.7-default-skin.patch

Buildarch	: i386

BuildRequires   : pkgconfig gtk2-devel esound-devel libvorbis-devel
BuildRequires	: zlib-devel desktop-file-utils alsa-lib-devel
BuildRequires	: gnome-vfs2-devel id3lib-devel libglade2-devel

%package devel
Summary		: Development package for %{name}
Group		: Development/Libraries
Requires	: %{name} = %{version}-%{release}

# -----------------------------------------------------------------------------

%description
BMP (Beep Media Player) is a media player based on the XMMS music
playing application. Its primary goals are usability and usage of
current desktop standards.
Build option :
--with mp3package : put mp3 input plugin package in a %{name}-mp3 package

%description devel
This package contains development files for %{name}

BMP (Beep Media Player) is a media player based on the XMMS music
playing application. Its primary goals are usability and usage of
current desktop standards.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .defaultskin

# -----------------------------------------------------------------------------

%build
%configure  \
%ifarch athlon
    --enable-simd   \
%endif
    --enable-gconf  \
    --enable-gnome-vfs  \
    --disable-one-plugin-dir
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang bmp

# No .la files
find $RPM_BUILD_ROOT%{_libdir} -name \*.la -exec rm {} \;

# Desktop entry
perl -pi -e 's/svg/png/ ; s/^(Categories=.+[^;\n])$/\1;/' beep/bmp.desktop
desktop-file-install --vendor livna \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    --add-category X-Livna  \
    --add-category Application  \
    beep/bmp.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/bmp.desktop

# Use png icon instead of svg
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/bmp.svg
install -D -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/bmp.png
# Environment variables
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files -f bmp.lang
%defattr(-,root,root,-)
%doc AUTHORS FAQ ChangeLog COPYING NEWS README 
%if 0%{?mp3package}
%exclude %{_libdir}/bmp/Input/libmpg123.so
%endif
%{_bindir}/beep-media-player
%{_datadir}/applications/livna-bmp.desktop
%{_datadir}/bmp
%{_datadir}/pixmaps/bmp.png
%{_libdir}/bmp
%{_libdir}/libbeep.so.*
%{_mandir}/man1/beep-media-player.1*
%config(noreplace) %{_sysconfdir}/profile.d/bmp.sh

%files devel
%defattr(-,root,root,-)
%{_includedir}/bmp
%{_libdir}/libbeep.so
%{_libdir}/pkgconfig/bmp.pc


%changelog
* Sat Jan 14 2006 LandShark BuildSys <BuildSys[AT]LandShark.Net>
- Initial CentOS 4 build.

* Sat Jan 29 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 0.9.7-0.lvn.3
- Patch default skin to be XMMS Bluecurve. If not found, BMP chooses its
  own default.
- Minor spec changes (e.g. made bmp.sh config noreplace).

* Tue Jan 25 2005 Peter Backlund <peter dot backlund at home dot se> 0.9.7-0.lvn.2
- Added missing buildreq

* Thu Jan 6 2005 Peter Backlund <peter dot backlund at home dot se> 0.9.7-0.lvn.1
- 0.9.7
- Enable gconf and gnome-vfs support

* Fri Dec 26 2003 Dams <anvil[AT]livna.org> 0:0.9.6.1-0.lvn.4
- Typo..

* Fri Dec 26 2003 Dams <anvil[AT]livna.org> 0:0.9.6.1-0.lvn.3
- Fixed desktop entry
- Added some build option (with mp3package)

* Fri Dec 26 2003 Dams <anvil[AT]livna.org> 0:0.9.6.1-0.lvn.2
- Using png icon istead of svg

* Fri Dec 26 2003 Dams <anvil[AT]livna.org> 
- Initial build.
